package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.biz.dal.enums.course.CourseRelationTypeEnum;
import com.yonge.cooleshow.common.entity.BaseEntity;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/19
 */
@ApiModel
public class CourseGroupVideoVo extends BaseEntity {
    @ApiModelProperty("课程组id")
    private Long groupId;
    @ApiModelProperty("课组名称")
    private String lessonName;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty("收费方式，VIP：会员，PAY:购买")
    private String payType;
    @ApiModelProperty("购课人数")
    private Integer buyCount;
    @ApiModelProperty("课时总数")
    private Integer lessonCount;
    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("老师姓名")
    private String teacherName;
    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;
    @ApiModelProperty("创建日期")
    private Date createTime;
    @ApiModelProperty("审核通过日期")
    private Date recordTime;
    @ApiModelProperty(value = "是否上架 （0:否  1：是）")
    private Integer shelvesFlag;

    @ApiModelProperty(value = "草稿状态, 0正式1草稿")
    private YesOrNoEnum draftFlag;


    @ApiModelProperty(value = "审核状态(DOING:待审核 PASS:通过 UNPASS:未通过)")
    private AuthStatusEnum status;  //审核状态

    @ApiModelProperty(value = "排序号")
    private Integer sortNumber;  //排序号

    @ApiModelProperty(value = "关联曲目专辑类型,RECOMMEND:推荐  GIFT:赠品")
    private CourseRelationTypeEnum relationType;

    @ApiModelProperty(value = "是否置顶")
    private Integer topFlag;  //是否置顶

    public CourseRelationTypeEnum getRelationType() {
        return relationType;
    }

    public void setRelationType(CourseRelationTypeEnum relationType) {
        this.relationType = relationType;
    }

    public AuthStatusEnum getStatus() {
        return status;
    }

    public void setStatus(AuthStatusEnum status) {
        this.status = status;
    }

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public Integer getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(Integer topFlag) {
        this.topFlag = topFlag;
    }

    public YesOrNoEnum getDraftFlag() {
        return draftFlag;
    }

    public void setDraftFlag(YesOrNoEnum draftFlag) {
        this.draftFlag = draftFlag;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getBuyCount() {
        return buyCount;
    }

    public void setBuyCount(Integer buyCount) {
        this.buyCount = buyCount;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRealName() {
        return teacherRealName;
    }

    public void setTeacherRealName(String teacherRealName) {
        this.teacherRealName = teacherRealName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getShelvesFlag() {
        return shelvesFlag;
    }

    public void setShelvesFlag(Integer shelvesFlag) {
        this.shelvesFlag = shelvesFlag;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }
}
